net.sf.jasperreports.components.map.fill

## Class FillStyleItem

- java.lang.Object
- - net.sf.jasperreports.components.map.fill.FillItem
  - - net.sf.jasperreports.components.map.fill.FillStyleItem

- All Implemented Interfaces:
    java.lang.Cloneable, Item, JRCloneable

      public class FillStyleItem
      extends FillItem

  Version:
    $Id: FillStyleItem.java 6688 2013-11-06 14:27:23Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLOR`
    `static java.lang.String` | `PROPERTY_NAME`

    - ### Fields inherited from class net.sf.jasperreports.components.map.fill.FillItem

      `evaluatedProperties, item`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillStyleItem(Item item, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getEvaluatedValue(ItemProperty property, JRFillExpressionEvaluator evaluator, byte evaluation)`
    `void` | `verifyValue(ItemProperty property, java.lang.Object value)`
    `void` | `verifyValues(java.util.Map<java.lang.String,java.lang.Object> result)`

    - ### Methods inherited from class net.sf.jasperreports.components.map.fill.FillItem

      `clone, evaluateProperties, getEvaluatedProperties, getProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_COLOR

          public static final java.lang.String PROPERTY_COLOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FillStyleItem

          public FillStyleItem(Item item,
                       JRFillObjectFactory factory)

  - ### Method Detail

    - #### getEvaluatedValue

          public java.lang.Object getEvaluatedValue(ItemProperty property,
                                           JRFillExpressionEvaluator evaluator,
                                           byte evaluation)
                                             throws JRException

      Overrides:
        `getEvaluatedValue` in class `FillItem`
      Throws:
        `JRException`

    - #### verifyValue

          public void verifyValue(ItemProperty property,
                         java.lang.Object value)
                           throws JRException

      Specified by:
        `verifyValue` in class `FillItem`
      Throws:
        `JRException`

    - #### verifyValues

          public void verifyValues(java.util.Map<java.lang.String,java.lang.Object> result)
                            throws JRException

      Specified by:
        `verifyValues` in class `FillItem`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com